@media screen and (min-width: 336px) {
  .foreground-img {
    /* top: 122%; */
  }
}
@media screen and (min-width: 371px) {
  .camera-part {
    transform: scale(0.7);
  }
    .contact-me {
    height: 100vh;
  }
}
@media screen and (min-width: 380px) {
  .foreground-img {
    /* top:  118%; */
  }
}
@media screen and (min-width: 400px) {
  .foreground-img {
    width: 40%;
    /* top: 95%; */
  }
}
@media screen and (min-width: 461px) {
  .foreground-img {
    width: 40%;
    /* top: 95%; */
  }
  .img-laptop {
    left: -5px;
  }
  .camera-part {
    margin-left: 0;
  }

  .camera-part {
    transform: scale(0.8);
  }
  .links-part {
    transform: scale(1.2);
  }

  .contact-me__wrapper {
    gap: 40px;
  }
  .contact-me {
 gap: 80px;
}  }

@media screen and (min-width: 640px) {
  .img-css {
    bottom: -130px;
  }
  .img-html {
    bottom: -80px;
  }
  .about-me {
    height: 60vh;
  }
}

/*  meduim screen devices  */

@media screen and (min-width: 768px) {
  .info-subtitle p {
    max-width: 246px;
    text-align: start;
  }

  .info-subtitle {
    flex-direction: row;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 95%;
    margin-top: 20px;
  }

  .info-subtitle p {
    margin-top: 0px;
  }

  .parallax-container .container {
    justify-content: start;
  }

  .sketch-container {
    margin-top: 0px;
  }

  .camera-part {
    transform: scale(0.9);
  }
  .links-part {
    transform: scale(1.4);
  }

  .contact-me__wrapper {
    gap: 80px;
  }

    .contact-me {
 gap: 100px;
}
   
}
/*  large screen devices  */

@media screen and (min-width: 1024px) {
  .parallax-container .container {
    width: 80%;
  }

  .foreground-img {
    width: 50%;
    top: 110%;
  }

  .info-subtitle p {
    max-width: 234px;
  }
  .img-css {
    bottom: -150px;
  }
  .img-cursor {
    top: -60px;
  }
  .img-laptop {
    top: -50px;
  }
  .about-me {
    height: 80vh;
    margin-bottom: 60px;
  }
  .card {
    width: 80%;
  }
  .arrow-container {
    left: 10%;
  }

  .contact-me__wrapper {
    flex-direction: row-reverse;
  }


  .links-part__wrapper img {
    width: 500px;
  }

  .deck {
    width: 45px;
    height: 45px;
  }

  .deck svg {
    width: 18px;
  }
  .deck.active .c1 {
    transform: rotate(-20deg) translateX(-25px);
  }
  .deck.active .c2 {
    transform: rotate(0deg) translateY(-25px);
  }
  .deck.active .c3 {
    transform: rotate(20deg) translateX(25px);
  }
  .links-cards {
    left: 33%;
    top: 25px;
  }

  .camera-part {
    position: relative;
    width: 100%;
  }
  .contact-me__wrapper {
    gap: 20px;
  }

    .camera-part {
    transform: scale(0.8);
  }
  .links-part {
    transform: scale(0.9);
  }

      .contact-me {
 gap: 10px;
}
/* .card-tech {

  height: 200px; 
  background: #111;
  border-radius: 10px;
  position: relative;
  transition: 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  display: flex;
  flex-direction: column;
  border: 1px solid #333;
 
}
.card-tech:hover {
  height: 320px;
  background: #1a1a1a;
  border-color: #ffffff;
}
.card-tech:hover .tech-img-box {
  transform: translateX(-50%) scale(1.05);

     box-shadow: 0 0px 20px #d13d6e55;


  top: -50px;
}
.card-tech:hover .tech-content {
  opacity: 1;
  transition-delay: 0.2s;
} */
.card-tech {
    height: 200px;
    background: #111;
    border-color: #333;
  }
  .tech-img-box {
    top: -40px;
    transform: translateX(-50%) scale(1);
    box-shadow: 0 10px 20px #d13d6e1d;
  }
  .tech-content {
    opacity: 0;
  }
  .tech-link svg {
    width: 0px;
  }

  .card-tech:hover {
    height: 320px;
    background: #1a1a1a;
    border-color: #ffffff;
  }
  .card-tech:hover .tech-img-box {
    transform: translateX(-50%) scale(1.05);
    box-shadow: 0 0px 20px #d13d6e55;
    top: -50px;
  }
  .card-tech:hover .tech-content {
    opacity: 1;
    transition-delay: 0.2s;
  }
  .card-tech:hover .tech-link svg {
    width: 100px;
  }

  .projects-cards-tech {

        grid-template-columns: repeat(2, 1fr)
  
      }
      
           .projects-cards-tech {

  gap: 0;
}

}
/*  extra large screen devices  */

@media screen and (min-width: 1200px) {
  .info-subtitle p {
    max-width: 272px;
  }

}

@media screen and (min-width: 1280px) {
  .about-me {
    height: 100vh;
  }
  .camera-part {
    transform: scale(0.9);
  }
  .links-part {
    transform: scale(1);
  }

}
/*  extra  extra large screen devices  */

@media screen and (min-width: 1496px) {
  .info-subtitle p {
    max-width: 330px;
  }
   .camera-part {
    transform: scale(1);
  }
  .links-part {
    transform: scale(1.2);
  }
     .deck svg {
    width: 20px;
  }
    .projects-cards-tech {

        grid-template-columns: repeat(3, 1fr)
  }
}

@media screen and (min-width: 1536px) {
  .foreground-img {
    margin-top: -8vw;
    width: 614.4px;
  }
  .img-css {
    bottom: -180px;
  }
}
@media screen and (min-width: 1700px) {
  .foreground-img {
    margin-top: -7vw;
  }
  .links-part,
  .camera-part {
    transform: scale(1.5);
  }
}
@media screen and (min-width: 2000px) {
  .foreground-img {
    margin-top: -6vw;
  }
}
@media screen and (min-width: 2500px) {
  .foreground-img {
    margin-top: -5vw;
  }
}
@media screen and (min-width: 3300px) {
  .foreground-img {
    margin-top: -4vw;
  }
}
@media screen and (min-width: 3800px) {
  .foreground-img {
    margin-top: -3vw;
  }
}
@media screen and (min-width: 5500px) {
  .foreground-img {
    margin-top: -2vw;
  }
}
@media screen and (min-width: 7800px) {
  .foreground-img {
    margin-top: -1.5vw;
  }
}
